fstreams.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/tchar.h>`
`#include <iosfwd>`
Include dependency graph for fstreams.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus

## Macros

#define | LOG4CPLUS_FSTREAM_PREFERED_FILE_NAME(X)
| Expands into expression that picks the right type for std::fstream file name parameter.

## Typedefs

typedef std::basic_ofstream< tchar > | log4cplus::tofstream
typedef std::basic_ifstream< tchar > | log4cplus::tifstream

## Macro Definition Documentation

## LOG4CPLUS_FSTREAM_PREFERED_FILE_NAME

#define LOG4CPLUS_FSTREAM_PREFERED_FILE_NAME | ( |  | X | ) |

Value:
(LOG4CPLUS_TSTRING_TO_STRING(X))
LOG4CPLUS_TSTRING_TO_STRING
#define LOG4CPLUS_TSTRING_TO_STRING(STRING)
Definition tstring.h:121

Expands into expression that picks the right type for std::fstream file name parameter.

Definition at line 50 of file fstreams.h.